package sillysagiri.scene;

import javax.microedition.lcdui.Graphics;

import sillysagiri.Scene;
import sillysagiri.Utils;

public class DeathError extends Scene {
  Exception e;
  public DeathError(Exception e)
  {
    super();
    this.e = e;
  }

  public void Preload() {
  }

  public void Destroy() {
  }

  public void Update(long dt, Graphics g) {
    // TODO: improve death message
    Utils.Clear_Screen(g, 255, 255, 255);
    g.setColor(255, 0 , 0);
    g.drawString(e.toString(), 0, 0, Graphics.LEFT|Graphics.TOP);
  }
  
}
